Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77149 - Gnome startup hangs with ac97 sound
Summary: Gnome startup hangs with ac97 sound
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: esound
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 20:15 UTC by Need Real Name
Modified: 2015-01-08 00:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-20 01:33:26 UTC


Attachments (Terms of Use)
Output from "strace -o /tmp/output -f startx" (deleted)
2002-11-08 17:06 UTC, Cameron
no flags Details

Description Need Real Name 2002-11-01 20:15:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
I have an athlon desktop system with a via chipset motherboard and
builtin ac97 sound. The installer detected the card, but on startup of a gnome 
session, the computer hangs. I can boot to console thoug, and KDE starts up 
properly, and can play sounds and music fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start a gnome session


Actual Results:  Computer hangs

Expected Results:  Computer continues with gnome goodness

Additional info:

sound worked fine under redhat 7.3

Comment 1 Havoc Pennington 2002-11-01 21:04:56 UTC
When you say it hangs due to the sound card, why do you say that? Did you try
without the sound module loaded?

Comment 2 Need Real Name 2002-11-01 21:21:40 UTC
sorry, wasn't very clear on that. When I disabled the onboard sound in the BIOS,
I was able to start gnome without any problems.

Comment 3 Havoc Pennington 2002-11-01 22:00:38 UTC
It might be useful to do "strace -o /tmp/output -f gnome-session" in your 
.Xclients, then attach /tmp/output after the hang.

Comment 4 Cameron 2002-11-08 16:59:37 UTC
I am having a similar problem, however I cannot get Gnome to start even when I
do disable the on-board sound. Also It USED to work when I first installed it. I
have had a support request in on this and they have been unable to resolve the
problem.

I will attach the file from "strace -o /tmp/output -f startx" in the hope that
it may shed some light on this, and get something moving so I can get my Gnome
desktop back. KDE is bugging me sorry.

Cameron.

Comment 5 Cameron 2002-11-08 17:06:04 UTC
Created attachment 84204 [details]
Output from "strace -o /tmp/output -f startx"

Comment 6 Havoc Pennington 2002-11-08 17:37:12 UTC
It doesn't look like gnome even runs:

1756  execve("/usr/X11R6/bin/startx", ["startx"], [/* 20 vars */]) = 0
1757  execve("/bin/uname", ["uname"], [/* 21 vars */]) = 0
1759  execve("/bin/hostname", ["hostname", "--version"], [/* 21 vars */]
<unfinished ...>
1759  <... execve resumed> )            = 0
1760  execve("/bin/grep", ["grep", "GNU"], [/* 21 vars */] <unfinished ...>
1760  <... execve resumed> )            = 0
1761  execve("/bin/hostname", ["hostname", "-f"], [/* 21 vars */]) = 0
1762  execve("/usr/bin/mcookie", ["mcookie"], [/* 21 vars */]) = 0
1763  execve("/usr/X11R6/bin/xauth", ["xauth", "list", ":0"], [/* 21 vars */]
<unfinished ...>
1763  <... execve resumed> )            = 0
1764  execve("/bin/grep", ["grep", ":0 "], [/* 21 vars */] <unfinished ...>
1764  <... execve resumed> )            = 0
1767  execve("/usr/X11R6/bin/xinit", ["xinit", "/etc/X11/xinit/xinitrc", "--"],
[/* 21 vars */] <unfinished ...>
1765  execve("/usr/X11R6/bin/xauth", ["xauth", "list", "williams:0"], [/* 21
vars */] <unfinished ...>
1765  <... execve resumed> )            = 0
1766  execve("/bin/grep", ["grep", "williams:0 "], [/* 21 vars */] <unfinished ...>
1766  <... execve resumed> )            = 0
1767  <... execve resumed> )            = 0
1768  execve("/usr/local/sbin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No
such file or directory)
1768  execve("/usr/local/bin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No
such file or directory)
1768  execve("/sbin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No such file
or directory)
1768  execve("/bin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No such file
or directory)
1768  execve("/usr/sbin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No such
file or directory)
1768  execve("/usr/bin/X", ["X", ":0"], [/* 21 vars */]) = -1 ENOENT (No such
file or directory)
1768  execve("/usr/X11R6/bin/X", ["X", ":0"], [/* 21 vars */] <unfinished ...>
1768  <... execve resumed> )            = 0
1769  execve("/usr/bin/deallocvt", ["deallocvt"], [/* 21 vars */] <unfinished ...>
1769  <... execve resumed> )            = 0
1770  execve("/bin/sh", ["sh", "-c", "/usr/X11R6/lib/X11/xkb/xkbcomp -"...], [/*
21 vars */]) = 0
1770  execve("/usr/X11R6/lib/X11/xkb/xkbcomp",
["/usr/X11R6/lib/X11/xkb/xkbcomp", "-w", "1", "-R/usr/X11R6/lib/X11/xkb",
"-xkm", "-", "-em1", "The XKEYBOARD keymap compiler (x"..., "-emp", "> ",
"-eml", "Errors from xkbcomp are not fata"..., "compiled/server-0.xkm"], [/* 21
vars */]) = 0
1771  execve("/bin/sh", ["sh", "-c", "cat /root/.Xauthority"], [/* 21 vars */])
= 0
1771  execve("/bin/cat", ["cat", "/root/.Xauthority"], [/* 21 vars */]) = 0


Comment 7 Cameron 2002-11-08 18:20:14 UTC
The PID numbers dont match here, but these processes are what is running at the
point that everything hangs up.


cameron   1873  1150  0 12:54 ?        00:00:00 /usr/bin/gnome-session
cameron   1921  1873  0 12:54 ?        00:00:00 /usr/bin/ssh-agent /etc/X11/xini
cameron   1932     1  0 12:54 ?        00:00:00 /usr/libexec/gconfd-2 9
cameron   1934     1  0 12:54 ?        00:00:00 /usr/libexec/bonobo-activation-s
cameron   1936     1  0 12:54 ?        00:00:00 /usr/bin/metacity --sm-client-id
cameron   1939     1  0 12:54 ?        00:00:00 gnome-settings-daemon --oaf-acti


Comment 8 Havoc Pennington 2002-12-19 23:41:12 UTC
I'm not sure what to suggest in order to make progress on this one,
without being able to reproduce it myself.

It may be fixed in rawhide, perhaps give it a try when our next beta or release
comes out.

Comment 9 Cameron 2002-12-20 01:21:52 UTC
I finally just re-partitoned  and re-installed... I have not had a problem
since. I guess its one of those ones that makes you go Hmmm.

Comment 10 Havoc Pennington 2002-12-20 01:33:26 UTC
OK, let's just chalk it up to cosmic rays, ;-) 
but we'll be on the lookout for more reports.


Note You need to log in before you can comment on or make changes to this bug.